<?php
/*******************************************************************************/
//                          InstantCMS v 1.10                                  //
//                      http://www.instantcms.ru/                              //
//                       module mod_live_air 2.0.0                             //
//                     модуль "Прямой эфир из модулей"                         //
//                      written by Marat Fatikhov                              //
//                      (nickname Марат on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                     На основе модуля "Прямой эфир"                          //
//    http://www.instantcms.ru/blogs/udarnyi-blog/modul-prjamoi-yefir.html     //                                                     
//                                                                             //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/
    if($_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest') { die(); }
	header('Content-Type: text/html; charset=utf-8'); 
	session_start();
	if (!isset($_REQUEST['module_id'])) { die(2); } else { $module_id = $_REQUEST['module_id']; }
	if (!isset($_REQUEST['tab_id'])) { die(4); } else { $tab_id = $_REQUEST['tab_id']; }
	define("VALID_CMS", 1);
    define('PATH', $_SERVER['DOCUMENT_ROOT']);
    define('HOST', 'http://' . $_SERVER['HTTP_HOST']);
	// Грузим ядро и все классы, иначе не работают некоторые модули
	include(PATH.'/core/cms.php');
    $inCore = cmsCore::getInstance();
    $inCore->loadClass('config'); 
    $inCore->loadClass('db'); 
    $inCore->loadClass('user');
    $inCore->loadClass('page');
    $inCore->loadClass('actions');
    $inDB   = cmsDatabase::getInstance();
    $inPage   = cmsPage::getInstance();
    $inActions   = cmsActions::getInstance();
    $inConfig   = cmsConfig::getInstance();
    $inUser = cmsUser::getInstance();

    $inUser->update();
    
	// Подгружаем языковой файл
	$inCore->loadLanguage('lang');
	// Грузим шаблонизатор
        //$smarty     = $inCore->getSmartyObj();
	// Входные данные
	$tab_id	= $inCore->request('tab_id', 'int', 0);
	$module_id	= $inCore->request('module_id', 'int', 0);
  if(!$tab_id || !$module_id){echo 'Сервер получил некорректные данные'; return;}
	// Грузим конфиг модуля
	$cfg = $inCore->loadModuleConfig($module_id);

  //Получаем модуль для вкладки
    if($cfg['tab_module_'.$tab_id] && $cfg['tab_'.$tab_id]){
         $mod = array();
         $sql = "SELECT *
                 FROM `cms_modules`
                 WHERE `id` = {$cfg['tab_module_'.$tab_id]}
                 LIMIT 1";
         $result = $inDB->query($sql);
         if(!$inDB->num_rows($result)){ echo 'Модуль не получен с БД'; return; }
         $mod = $inDB->fetch_assoc($result);
         $mod['config'] = cmsCore::yamlToArray($mod['config']);
	 if(!$mod['config']['tpl']){
     $mod['config']['tpl'] = $mod['content'].'.tpl';
}
    }else{
       //если нет названия первой вкладки и не определн модуль, выходим
       echo 'Проверьте настройки модуля';
       return;
    }

    if (!$mod['user']) { cmsCore::loadLanguage('modules/'.$mod['content']); }
    
    //пользовательский модуль
    if( !$mod['is_external'] ){
				//PROCESS FILTERS
				$filters = $inCore->getFilters();
				if ($filters){
					foreach($filters as $id=>$_data){
						require_once PATH.'/filters/'.$_data['link'].'/filter.php';
						$_data['link']($mod['content']);
					}
				}
				$modulebody = $mod['content'];
		}

    //системный модуль
    if( $mod['is_external'] ){
       if (file_exists(PATH.'/modules/'.$mod['content'].'/module.php')){
           require_once PATH.'/modules/'.$mod['content'].'/module.php';
           ob_start();
				   
                                   $mod['content']($mod['id'], $mod['config']);
				   $modulebody = ob_get_clean();
       }
    }

  // Проверяем права доступа
		if (!$inCore->checkContentAccess($mod['access_list'])) { $modulebody = 'Не хватает прав для просмотра'; }

	// Отдаем в шаблон
	ob_start();
	$inPage->initTemplate('modules', 'mod_live_air.tpl')->
	assign('cfg', $cfg)->
	assign('modulebody', $modulebody)->
	assign('is_ajax', true)->
	assign('module_id', $module_id)->
	display('mod_live_air.tpl');
	echo ob_get_clean();
	
?>
