<?php
/*******************************************************************************/
//                          InstantCMS v 1.10                                  //
//                      http://www.instantcms.ru/                              //
//                       module mod_live_air 2.0.0                             //
//                     модуль "Прямой эфир из модулей"                         //
//                      written by Marat Fatikhov                              //
//                      (nickname Марат on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                     На основе модуля "Прямой эфир"                          //
//    http://www.instantcms.ru/blogs/udarnyi-blog/modul-prjamoi-yefir.html     //                                                        
//                                                                             //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/

function mod_live_air($module_id, $cfg){
        $inCore = cmsCore::getInstance(); // ядро
        $inDB = cmsDatabase::getInstance(); // БД
        global $_LANG; // Язык общий модуль
		
    $cfg = array();
    $cfg = $inCore->loadModuleConfig($module_id); // грузим конфиг модуля

		//Получаем модуль для первой вкладки
    if($cfg['tab_module_1'] && $cfg['tab_1']){
         $mod = array();
         $sql = "SELECT *
                 FROM `cms_modules`
                 WHERE `id` = {$cfg['tab_module_1']}
                 LIMIT 1";
         $result = $inDB->query($sql);
         if(!$inDB->num_rows($result)){ return false; }
         $mod = $inDB->fetch_assoc($result);
      $mod['config'] = cmsCore::yamlToArray($mod['config']);

if(!$mod['config']['tpl']){
     $mod['config']['tpl'] = $mod['content'].'.tpl';
}
	 
    }else{
       //если нет названия первой вкладки и не определн модуль, выходим
       return false;
    }

    if (!$mod['user']) { cmsCore::loadLanguage('modules/'.$mod['content']); }

    //пользовательский модуль
    if( !$mod['is_external'] ){
				//PROCESS FILTERS
				$filters = $inCore->getFilters();
				if ($filters){
					foreach($filters as $id=>$_data){
						require_once PATH.'/filters/'.$_data['link'].'/filter.php';
						$_data['link']($mod['content']);
					}
				}
				$modulebody = $mod['content'];
		}

    //системный модуль
    if( $mod['is_external'] ){
       if (file_exists(PATH.'/modules/'.$mod['content'].'/module.php')){
           require_once PATH.'/modules/'.$mod['content'].'/module.php';
           ob_start();
				   $mod['content']($mod['id'], $mod['config']);
				   $modulebody = ob_get_clean();
       }
    }
    
    // Проверяем права доступа
		if (!$inCore->checkContentAccess($mod['access_list'])) { $modulebody = 'Не хватает прав для просмотра'; }

    //массив из номеров табов для for() в шаблоне
    $nums = array();
    for($i=1; $i<=6; $i++){
         $nums[] = $i;
    }

		// выводим в шаблон
		cmsPage::initTemplate('modules', 'mod_live_air.tpl')->
		assign('modulebody', $modulebody)->
		assign('cfg', $cfg)->
		assign('nums', $nums)->
		assign('is_ajax', false)->
		assign('module_id', $module_id)->
		display('mod_live_air.tpl');

		return true;
}
?>
